Page MenuHomePhabricator

[windows] re-call signal in sigint_handler for Windows
ClosedPublic

Authored by lanza on Jul 1 2019, 4:36 PM.

Diff Detail

Repository
rL LLVM

Event Timeline

lanza created this revision.Jul 1 2019, 4:36 PM
jfb added inline comments.Jul 1 2019, 4:44 PM
tools/driver/Driver.cpp
711 ↗(On Diff #207440)

It seems like you'd want to do it for every non-fatal signal, not just signint?

lanza edited reviewers, added: asmith, stella.stamenova, compnerd; removed: jfb.Jul 1 2019, 6:59 PM
lanza marked an inline comment as done.Jul 1 2019, 7:00 PM
lanza added inline comments.
tools/driver/Driver.cpp
711 ↗(On Diff #207440)
  signal(SIGINT, sigint_handler);
#if !defined(_MSC_VER)
  signal(SIGPIPE, SIG_IGN);
  signal(SIGWINCH, sigwinch_handler);
  signal(SIGTSTP, sigtstp_handler);
  signal(SIGCONT, sigcont_handler);
#endif

Windows doesn't have them, thus they re ifdefed out.

stella.stamenova accepted this revision.Jul 2 2019, 9:27 AM

LGTM. Have you run the tests to make sure they behave correctly after this change?

This revision is now accepted and ready to land.Jul 2 2019, 9:27 AM
This revision was automatically updated to reflect the committed changes.
Herald added a project: Restricted Project. · View Herald TranscriptJul 11 2019, 9:43 PM